NET_DestroyServer(3)

NAME
NET_DestroyServer - Dispose of a previously-created server.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

void NET_DestroyServer(NET_Server *server);

DESCRIPTION
This will immediately disconnect any pending client connections that had not yet been accepted, but will not disconnect any existing accepted connections (which can still be used and must be destroyed separately). Further attempts to make new connections to this server will fail on the client side.

FUNCTION PARAMETERS

server
    server to destroy.

THREAD SAFETY
You should not operate on the same server from multiple threads at the same time without supplying a serialization mechanism. However, different threads may access different servers at the same time without problems.

AVAILABILITY
This function is available since SDL_net 3.0.0.

SEE ALSO
NET_CreateServer(3)